Subject: bug#22180: Partition alignment using parted

From: Phillip Susi <[email-masked]>
Date: Fri, 25 Dec 2015 20:38:59 -0500

On 12/24/2015 05:51 AM, Ankur Tank wrote:
> Thank you for replying Phillip, 1. How do we measure performance 
> improvement before and after partition alignment ?

hdparm -t or dd between the drive and /dev/null or /dev/zero and the
drive ( for a destructive write test ).

> 2. By above question, I meant, are there any tools/utilities 
> available which would suggest partition alignment parameters(e.g.
> how many blocks current partition can be moved to get alignment) ?

Not that I am aware of but it is simply a matter of dividing the
current start position by the desired alignment and seeing if you get
a remainder or fractional result.

parted's align-check command does this, but simply answers with a
yes/no as to whether it is aligned instead of how far off it is.